# ---------------------------------------------------------------------------
# NPC Settings
# ---------------------------------------------------------------------------
# This properties file is solely for the purpose of NPC modifications and settings that directly influence them.
# The defaults are set to be retail-like. If you modify any of these settings your server will deviate from being retail-like.
# Warning: 
# Please take extreme caution when changing anything. Also please understand what you are changing before you do so on a live server.
# ---------------------------------------------------------------------------
# General
# ---------------------------------------------------------------------------
# Global announcements will be made indicating Blacksmith/Merchant of Mammon
# Spawning points.
# Default: False
AnnounceMammonSpawn = False

# True - Mobs can be aggressive while in peace zones.
# False - Mobs can NOT be aggressive while in peace zones.
# Default: True
AltMobAgroInPeaceZone = True

# Defines whether NPCs are attackable by default
# Retail: True
AltAttackableNpcs = True

# Allows non-GM players to view NPC stats via shift-click
# Default: False
AltGameViewNpc = False

# Maximum distance mobs can randomly go from spawn point.
# DEFAULT NEEDS TO BE VERIFIED, MUST BE CHANGED HERE AND IN CONFIG.JAVA IF NOT CORRECT
# Default: 300
MaxDriftRange = 300

# If True, the following deep blue mobs' drop penalties will be applied:
#	- When player's level is 9 or greater than mob's level, drops got divided by 3.
#	- After 9 levels of difference between player and mobs, drop chance is lowered by 9% each level that difference increases. (9lvls diff = -9%; 10lvls diff = -18%;)
# Default: True
UseDeepBlueDropRules = True

# If True, the following deep blue raid bosses drop penalties will be applied:
#	- When player's level is 9 or greater than raid's level, drops got divided by 3.
#	- After 9 levels of difference between player and raid, drop chance is lowered by 9% each level that difference increases. (9lvls diff = -9%; 10lvls diff = -18%;)
# Default: True
UseDeepBlueDropRulesRaid = True

# Default: False 
ShowNpcLevel = False

# Show clan, alliance crests for territory NPCs without quests
# Default: False
ShowCrestWithoutQuest = False 

# Do you want mobs to drop Vitality resplenishing herbs?
# Notes:
#	Works only if EnableVitality = True
# Default: True
EnableVitalityHerbs = True

# Custom random EnchantEffect
# All npcs with weapons get random weapon enchanted value
# Enchantment is only visual, range is 4-21
# Default: False
EnableRandomEnchantEffect = False

# The minimum NPC level for the Gracia Epilogue rule:
# "The amount of damage inflicted on monsters will be lower if your character is 2 or more levels below that of the level 78+ monster."
# Notes:
#	If you want to disable this feature then set it 99
# Default: 78
MinNPCLevelForDmgPenalty = 78

# The penalty in percent for -2 till -5 level differences
# default: 
# normal - 0.7, 0.6, 0.6, 0.55
# critical - 0.75, 0.65, 0.6, 0.58
# skill - 0.8, 0.7, 0.65, 0.62
DmgPenaltyForLvLDifferences = 0.7, 0.6, 0.6, 0.55
CritDmgPenaltyForLvLDifferences = 0.75, 0.65, 0.6, 0.58
SkillDmgPenaltyForLvLDifferences = 0.8, 0.7, 0.65, 0.62

# The minimum NPC level for the Gracia Epilogue rule:
# "When a character's level is 3 or more levels lower than that of a monsters level the chance that the monster will be able to resist a magic spell will increase."
# Notes:
#	If you want to disable this feature then set it 99
# Default: 78
MinNPCLevelForMagicPenalty = 78

# The penalty in percent for -3 till -6 level differences
# Default: unknown
SkillChancePenaltyForLvLDifferences = 2.5, 3.0, 3.25, 3.5

# ---------------------------------------------------------------------------
# Monsters
# ---------------------------------------------------------------------------
# Decay Time Task (don't set it too low!) (in milliseconds):
# Default: 5000
DecayTimeTask = 5000
# Default: 8500
NpcDecayTime = 8500
# Default: 30000
RaidBossDecayTime = 30000
# Default: 18500
SpoiledDecayTime = 18500

# ---------------------------------------------------------------------------
# Guards
# ---------------------------------------------------------------------------
# True - Allows guards to attack aggressive mobs within range.
# Default: False
GuardAttackAggroMob = False


# ---------------------------------------------------------------------------
# Pets
# ---------------------------------------------------------------------------
# This option enables or disables the Wyvern manager located in every castle 
# to train Wyverns and Striders from Hatchlings.
# Default: False
AllowWyvernUpgrader = False

# Pets that can be rented.
# Example: 30827, 32471, 34486, 36547
# Default: 30827
ListPetRentNpc = 30827

# This will control the inventory space limit for pets (NOT WEIGHT LIMIT).
# Default: 12
MaximumSlotsForPet = 12

# HP/MP Regen Multiplier for Pets
# Default: 100, 100
PetHpRegenMultiplier = 100
PetMpRegenMultiplier = 100

# ---------------------------------------------------------------------------
# Raid Bosses
# ---------------------------------------------------------------------------
# Percent of HP and MP regeneration for raid bosses.
# Example: Setting HP to 10 will cause raid boss HP to regenerate 90% slower than normal.
# Default: 100, 100
RaidHpRegenMultiplier = 100
RaidMpRegenMultiplier = 100

# Percent of physical and magical defense for raid bosses.
# Example: A setting of 10 will cause defense to be 90% lower than normal, 
# while 110 will cause defense to be 10% higher than normal.
# Default: 100, 100
RaidPDefenceMultiplier = 100
RaidMDefenceMultiplier = 100

# Percent of physical and magical attack for raid bosses.
# Example: A setting of 10 will cause attack to be 90% lower than normal, 
# while 110 will cause attack to be 10% higher than normal.
# Default: 100, 100
RaidPAttackMultiplier = 100
RaidMAttackMultiplier = 100

# Configure Minimum and Maximum time multiplier between raid boss re-spawn.
# By default 12Hours*1.0 for Minimum Time and 24Hours*1.0 for Maximum Time.
# Example: Setting RaidMaxRespawnMultiplier to 2 will make the time between
# re-spawn 24 hours to 48 hours.
# Default: 1.0, 1.0
RaidMinRespawnMultiplier = 1.0
RaidMaxRespawnMultiplier = 1.0

# Configure the interval at which raid boss minions will re-spawn.
# This time is in milliseconds, 1 minute is 60000 milliseconds.
# Default: 300000
RaidMinionRespawnTime = 300000

# Let's make handling of minions with non-standard static respawn easier - no additional code, just config.
# Format: minionId1,timeInSec1;minionId2,timeInSec2
CustomMinionsRespawnTime = 22450,30;22371,120;22543,0;25545,0;22424,30;22425,30;22426,30;22427,30;22428,30;22429,30;22430,30;22432,30;22433,30;22434,30;22435,30;22436,30;22437,30;22438,30;25596,30;25605,0;25606,0;25607,0;25608,0

# Disable Raid Curse if raid more than 8 levels lower.
# Caution: drop will be reduced or even absent if DeepBlue drop rules enabled.  
# Default: False
DisableRaidCurse = False

# Configure the interval at which raid bosses and minions wont reconsider their target
# This time is in seconds, 1 minute is 60 seconds.
# Default: 10,10,10
RaidChaosTime = 10
GrandChaosTime = 10
MinionChaosTime = 10

# A comma separated list of all NPCs who have no dialog, i.e. double-clicking on them doesn't open a chat window
# Default: 18684,18685,18686,18687,18688,18689,18690,19691,18692,31557,31606,31671,31672,31673,31674,32026,32030,32031,32032,32306,32619,32620,32621
NonTalkingNpcs = 18684,18685,18686,18687,18688,18689,18690,19691,18692,31557,31606,31671,31672,31673,31674,32026,32030,32031,32032,32306,32619,32620,32621
